package ru.upos;

/**
 * Ñlass for UPOS MSB protocol demo
 */
public class UposMsb {

    public static void main(String[] args) {
        try {
            //for (FileStore store : FileSystems.getDefault().getFileStores()) {
            //    System.out.format("%-20s vsn: %s\n", store, store.getAttribute("volume:vsn"));
            //}
            //UposPingInfo pingInfo = new UposPingInfo();
            //System.out.println("ping info: " + DatatypeConverter.printHexBinary(pingInfo.getPingInfoData()));
            //System.out.println("os name: " + System.getProperty("os.name"));
            Parameters parameters = new Parameters();
            parameters.parseParams(args);
            UposCommandProcess command = new UposCommandProcess(parameters);
            boolean result = command.runCommand();
            System.out.println("runCommand() result: " + result);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
